> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Put group bindings

> Bulk updates a list of group bindings.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml put /group-bindings
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /group-bindings:
    put:
      tags:
        - group-bindings
      description: Bulk updates a list of group bindings.
      operationId: updateGroupBindings
      requestBody:
        description: Group bindings to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGroupBindingInfoList'
      responses:
        '200':
          description: The group bindings were successfully updated.
      security:
        - BearerAuth: []
components:
  schemas:
    UpdateGroupBindingInfoList:
      example:
        group_bindings:
          - group_binding_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            source_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            groups:
              - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
              - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
          - group_binding_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            source_group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            groups:
              - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
              - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
      properties:
        group_bindings:
          description: A list of group bindings with information to update.
          items:
            $ref: '#/components/schemas/UpdateGroupBindingInfo'
          type: array
      type: object
      required:
        - group_bindings
    UpdateGroupBindingInfo:
      description: >-
        # UpdateGroupBindingInfo Object

        ### Description

        The `UpdateGroupBindingInfo` object is used as an input to the
        UpdateGroupBinding API.
      example:
        group_binding_id: 0ae19dbf-324d-4216-999c-574d46182c7e
        source_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        groups:
          - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
          - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
      properties:
        group_binding_id:
          description: The ID of the group binding.
          example: 0ae19dbf-324d-4216-999c-574d46182c7e
          format: uuid
          type: string
        source_group_id:
          description: The ID of the source group.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        groups:
          description: The list of groups.
          items:
            properties:
              group_id:
                description: The ID of the group.
                example: f454d283-ca87-4a8a-bdbb-df212eca5353
                format: uuid
                type: string
            required:
              - group_id
          type: array
      required:
        - group_binding_id
        - source_group_id
        - groups
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````